## List of plugins

#### [By topic](#by-topic-1)

- [Alignment](#alignment)
- [Building and linting](#building-and-linting)
- [Code completion](#code-completion)
- [Cycle](#cycle)
- [Commenters](#commenters)
- [Delimiter](#delimiter)
- [Fuzzy finders](#fuzzy-finders)
- [Grep tools](#grep-tools)
- [Indent](#indent)
- [Navigation](#navigation)
- [Snippets](#snippets)
- [Statusline](#statusline)
- [Surround](#surround)
- [Taking notes](#taking-notes)
- [Text objects](#text-objects)
- [Tmux](#tmux)
- [Undo history](#undo-history)
- [Version control](#version-control)
- [Writing](#writing)
- [Misc](#misc)

#### [By filetype](#by-filetype-1)

- [C and C++](#c-and-c)
- [Clojure](#clojure)
- [Go](#go)
- [HTML](#html)
- [Java](#java)
- [Javascript](#javascript)
- [Lua](#lua)
- [Python](#python)
- [TeX](#tex)
- [VimL](#viml)

## By topic

#### Alignment

- [tabular](https://github.com/godlygeek/tabular)
- [vim-easy-align](https://github.com/junegunn/vim-easy-align)

#### Building and linting

- [ale](https://github.com/w0rp/ale)
- [neomake](https://github.com/neomake/neomake)
- [syntastic](https://github.com/vim-syntastic/syntastic)

#### Code completion

- [VimCompletesMe](https://github.com/ajh17/VimCompletesMe)
- [YouCompleteMe](https://github.com/Valloric/YouCompleteMe)
- [completor.vim](https://github.com/maralla/completor.vim)
- [deoplete.nvim](https://github.com/Shougo/deoplete.nvim)
- [neocomplete.vim](https://github.com/Shougo/neocomplete.vim)
- [supertab](https://github.com/ervandew/supertab)
- [vim-mucomplete](https://github.com/lifepillar/vim-mucomplete)

#### Cycle

- [switch.vim](https://github.com/AndrewRadev/switch.vim)
- [vim-speeddating](https://github.com/tpope/vim-speeddating)

#### Commenters

- [nerdcommenter](https://github.com/scrooloose/nerdcommenter)
- [tcomment_vim](https://github.com/tomtom/tcomment_vim)
- [vim-commentary](https://github.com/tpope/vim-commentary)

#### Delimiter

- [auto-pairs](https://github.com/jiangmiao/auto-pairs)
- [delimitMate](https://github.com/Raimondi/delimitMate)
- [vim-endwise](https://github.com/tpope/vim-endwise)

#### Fuzzy finders

- [Command-T](https://github.com/wincent/Command-T) (_requires +ruby_)
- [ctrlp.vim](https://github.com/ctrlpvim/ctrlp.vim)
- [denite.nvim](https://github.com/Shougo/denite.nvim) (_requires +python3_)
- [fzf](https://github.com/junegunn/fzf)
- [unite.vim](https://github.com/Shougo/unite.vim)

#### Grep tools

- [ctrlsf.vim](https://github.com/dyng/ctrlsf.vim)
- [ferret](https://github.com/wincent/ferret)
- [vim-grepper](https://github.com/mhinz/vim-grepper)

#### Indent

- [indentLine](https://github.com/Yggdroot/indentLine)
- [vim-indent-guides](https://github.com/nathanaelkane/vim-indent-guides)

#### Navigation

- [nerdtree](https://github.com/scrooloose/nerdtree)
- [tagbar](https://github.com/majutsushi/tagbar)
- [vim-dirvish](https://github.com/justinmk/vim-dirvish)
- [vim-easymotion](https://github.com/easymotion/vim-easymotion)
- [vim-sneak](https://github.com/justinmk/vim-sneak)
- [vim-vinegar](https://github.com/tpope/vim-vinegar)
- [vimfiler.vim](https://github.com/Shougo/vimfiler.vim) (_depends on other plugins_)

Also see [fuzzy finders](#fuzzy-finders).

#### Snippets

- [neosnippet.vim](https://github.com/Shougo/neosnippet.vim) (_depends on other plugins_)
- [ultisnips](https://github.com/SirVer/ultisnips)
- [vim-snipmate](https://github.com/garbas/vim-snipmate) (_depends on other plugins_)
- [xptemplate](https://github.com/drmingdrmer/xptemplate)

#### Statusline

- [lightline.vim](https://github.com/itchyny/lightline.vim)
- [powerline](https://github.com/powerline/powerline)
- [vim-airline](https://github.com/vim-airline/vim-airline)
- [vim-flagship](https://github.com/tpope/vim-flagship)

#### Surround

- [vim-operator-surround](https://github.com/rhysd/vim-operator-surround)
- [vim-sandwich](https://github.com/machakann/vim-sandwich)
- [vim-surround](https://github.com/tpope/vim-surround)

#### Taking notes

- [vim-dotoo](https://github.com/dhruvasagar/vim-dotoo)
- [vim-journal](https://github.com/junegunn/vim-journal)
- [vim-notes](https://github.com/xolox/vim-notes)
- [vim-orgmode](https://github.com/jceb/vim-orgmode)
- [vim-pad](https://github.com/fmoralesc/vim-pad)
- [vimwiki](https://github.com/vimwiki/vimwiki)

#### Text objects

- [targets.vim](https://github.com/wellle/targets.vim)
- [vim-exchange](https://github.com/tommcdo/vim-exchange)
- [vim-textobj-user](https://github.com/kana/vim-textobj-user)

#### Tmux

- [tmux-complete.vim](https://github.com/wellle/tmux-complete.vim)
- [vim-dispatch](https://github.com/tpope/vim-dispatch)
- [vim-tmux-navigator](https://github.com/christoomey/vim-tmux-navigator)
- [vitality.vim](https://github.com/sjl/vitality.vim)

#### Undo history

- [gundo.vim](https://github.com/sjl/gundo.vim)
- [undotree](https://github.com/mbbill/undotree)

#### Version control

- [agit.vim](https://github.com/cohama/agit.vim)
- [committia.vim](https://github.com/rhysd/committia.vim)
- [gist-vim](https://github.com/mattn/gist-vim)
- [github-issues.vim](https://github.com/jaxbot/github-issues.vim)
- [gitv](https://github.com/gregsexton/gitv)
- [gv.vim](https://github.com/junegunn/gv.vim)
- [nerdtree-git-plugin](https://github.com/Xuyuanp/nerdtree-git-plugin)
- [vim-fugitive](https://github.com/tpope/vim-fugitive)
- [vim-gitgutter](https://github.com/airblade/vim-gitgutter)
- [vim-github-dashboard](https://github.com/junegunn/vim-github-dashboard)
- [vim-lawrencium](https://bitbucket.org/ludovicchabant/vim-lawrencium)
- [vim-signify](https://github.com/mhinz/vim-signify)
- [vimagit](https://github.com/jreybert/vimagit)

#### Writing

- [vim-grammarous](https://github.com/rhysd/vim-grammarous)
- [vim-online-thesaurus](https://github.com/beloglazov/vim-online-thesaurus)

#### Misc

- [CoVim](https://github.com/FredKSchott/CoVim)
- [FastFold](https://github.com/Konfekt/FastFold)
- [NrrwRgn](https://github.com/chrisbra/NrrwRgn)
- [calendar.vim](https://github.com/itchyny/calendar.vim)
- [goyo.vim](https://github.com/junegunn/goyo.vim)
- [sideways.vim](https://github.com/AndrewRadev/sideways.vim)
- [splitjoin.vim](https://github.com/AndrewRadev/splitjoin.vim)
- [targets.vim](https://github.com/wellle/targets.vim)
- [unicode.vim](https://github.com/chrisbra/unicode.vim)
- [vim-bracketed-paste](https://github.com/ConradIrwin/vim-bracketed-paste)
- [vim-devicons](https://github.com/ryanoasis/vim-devicons)
- [vim-diminactive](https://github.com/blueyed/vim-diminactive)
- [vim-fixkey](https://github.com/drmikehenry/vim-fixkey)
- [vim-gnupg](https://github.com/jamessan/vim-gnupg)
- [vim-hackernews](https://github.com/ryanss/vim-hackernews)
- [vim-move](https://github.com/matze/vim-move)
- [vim-multiple-cursors](https://github.com/terryma/vim-multiple-cursors)
- [vim-projectionist](https://github.com/tpope/vim-projectionist)
- [vim-rsi](https://github.com/tpope/vim-rsi)
- [vim-startify](https://github.com/mhinz/vim-startify)
- [vim-unimpaired](https://github.com/tpope/vim-unimpaired)

## By filetype

#### C and C++

- [a.vim](https://github.com/vim-scripts/a.vim)
- [clang_complete](https://github.com/Rip-Rip/clang_complete)
- [color_coded](https://github.com/jeaye/color_coded)
- [lh-cpp](https://github.com/LucHermitte/lh-cpp)

#### Clojure

- [paredit](https://github.com/kovisoft/paredit)
- [rainbow_parentheses.vim](https://github.com/junegunn/rainbow_parentheses.vim)
- [vim-clojure-highlight](https://github.com/guns/vim-clojure-highlight)
- [vim-fireplace](https://github.com/tpope/vim-fireplace)
- [vim-salve](https://github.com/tpope/vim-salve)
- [vim-sexp-mappings-for-regular-people](https://github.com/tpope/vim-sexp-mappings-for-regular-people)
- [vim-sexp](https://github.com/guns/vim-sexp)

#### HTML

- [emmet-vim](https://github.com/mattn/emmet-vim)
- [html5.vim](https://github.com/othree/html5.vim)

#### Go

- [gofmt.vim](https://github.com/tweekmonster/gofmt.vim)
- [hl-goimport.vim](https://github.com/tweekmonster/hl-goimport.vim)
- [vim-go](https://github.com/fatih/vim-go)
- [vim-godebug](https://github.com/jodosha/vim-godebug)

#### Java

- [vim-javacomplete2](https://github.com/artur-shaik/vim-javacomplete2)

#### Javascript

- [es.next.syntax.vim](https://github.com/othree/es.next.syntax.vim)
- [javascript-libraries-syntax.vim](https://github.com/othree/javascript-libraries-syntax.vim)
- [node-vim-debugger](https://github.com/sidorares/node-vim-debugger)
- [tern_for_vim](https://github.com/ternjs/tern_for_vim)
- [vim-esformatter](https://github.com/millermedeiros/vim-esformatter)
- [vim-javascript-syntax](https://github.com/jelera/vim-javascript-syntax)
- [vim-javascript](https://github.com/pangloss/vim-javascript)
- [vim-node](https://github.com/moll/vim-node)
- [yajs.vim](https://github.com/othree/yajs.vim)

#### Lua

- [vim-lua-ftplugin](https://github.com/xolox/vim-lua-ftplugin)
- [vim-lua-inspect](https://github.com/xolox/vim-lua-inspect)

#### Python

- [braceless.vim](https://github.com/tweekmonster/braceless.vim)
- [impsort.vim](https://github.com/tweekmonster/impsort.vim)
- [jedi-vim](https://github.com/davidhalter/jedi-vim)
- [python-mode](https://github.com/klen/python-mode)
- [vim-flake8](https://github.com/nvie/vim-flake8)

#### TeX

- [vimtex](https://github.com/lervag/vimtex)

#### VimL

- [vim-scriptease](https://github.com/tpope/vim-scriptease)
